version: "3.3"

services:
  api:
    build:
      context: ../../api/
      # dockerfile: ./src/main/docker/Dockerfile.native
      dockerfile: ./src/main/docker/Dockerfile.jvm
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.api.entrypoints=web"
      # - "traefik.http.routers.api.rule=Host(`localhost`) && PathPrefix(`/api`)"
      - "traefik.http.routers.api.rule=Host(`wude-deb`) && PathPrefix(`/api`)"
      # - "traefik.http.routers.api.rule=Host(`0.0.0.0`) && PathPrefix(`/api`)"
      # - "traefik.http.routers.api.rule=PathPrefix(`/api`)"
    depends_on:
      - gateway
      - backend-cache
      - backend-db
      - caretaker
